apiVersion: v1
kind: Service
metadata:
  name: nginx-service
spec: 
  type: ClusterIP
  selector:
    app: nginx-app
  ports:
    - name: http
      protocol: TCP
      port: 80 # port for service
      targetPort: 80 # port that pod is listening 
      # nodePort: 30000
  
# kubectl apply -f nginx-service.yaml